Jekyll Build Issue, possibly related BUNDLE_WITHOUT

Hello,

I ran into following error building jekyll site 10.22.2023:

Executing user command: jekyll build
00:18:40.655	/opt/buildhome/.asdf/installs/ruby/3.2.0/lib/ruby/3.2.0/bundler/definition.rb:523:in `materialize': Could not find html-proofer-3.19.4, parallel-1.23.0, rainbow-3.1.1, typhoeus-1.4.0, yell-2.2.2, ethon-0.16.0 in locally installed gems (Bundler::GemNotFound)
00:18:40.655		from /opt/buildhome/.asdf/installs/ruby/3.2.0/lib/ruby/3.2.0/bundler/definition.rb:186:in `specs'
00:18:40.655		from /opt/buildhome/.asdf/installs/ruby/3.2.0/lib/ruby/3.2.0/bundler/definition.rb:243:in `specs_for'
00:18:40.656		from /opt/buildhome/.asdf/installs/ruby/3.2.0/lib/ruby/3.2.0/bundler/runtime.rb:18:in `setup'
00:18:40.656		from /opt/buildhome/.asdf/installs/ruby/3.2.0/lib/ruby/3.2.0/bundler.rb:170:in `setup'
00:18:40.656		from /opt/buildhome/.asdf/installs/ruby/3.2.0/lib/ruby/gems/3.2.0/gems/jekyll-4.3.2/lib/jekyll/plugin_manager.rb:52:in `require_from_bundler'
00:18:40.656		from /opt/buildhome/.asdf/installs/ruby/3.2.0/lib/ruby/gems/3.2.0/gems/jekyll-4.3.2/exe/jekyll:11:in `<top (required)>'
00:18:40.656		from /opt/buildhome/.asdf/installs/ruby/3.2.0/bin/jekyll:25:in `load'
00:18:40.656		from /opt/buildhome/.asdf/installs/ruby/3.2.0/bin/jekyll:25:in `<main>'
00:18:40.661	Failed: Error while executing user command. Exited with error code: 1
00:18:40.676	Failed: build command exited with code: 1
00:18:41.637	Failed: error occurred while running build command

This post solved my issue, but I do not understand why? Re-posting as it does not seem to be solved.

@jfawcett